/*
 * Copyright 2009 Mark Renouf
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHDIR
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.code.gwt.html5.media.client.event;

import com.google.gwt.event.shared.EventHandler;

/**
 * Handler for {@link CanPlayThroughEvent} events.
 */
public interface CanPlayThroughHandler extends EventHandler {
  /**
   * Called when the user agent estimates that if playback were to be started
   * now, the media resource could be rendered at the current playback rate all
   * the way to its end without having to stop for further buffering.
   * 
   * @param event the {@link CanPlayThroughEvent} that was fired
   */
  void onCanPlayThrough(CanPlayThroughEvent event);

}
